Info
Structured Data Field Types
Get the field types you can use in Embedded Form templates
Listen to this pageabout 1 min
GET
/
api
/
v1
/
info
/
structured-data-field-types
cURL
curl --request GET \
--url https://sdp.suki.ai/api/v1/info/structured-data-field-types \
--header 'sdp_suki_token: <sdp_suki_token>' \
--header 'sdp_provider_id: <sdp_provider_id>'import requests
url = "https://sdp.suki.ai/api/v1/info/structured-data-field-types"
headers = {"sdp_suki_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {sdp_suki_token: '<api-key>'}};
fetch('https://sdp.suki.ai/api/v1/info/structured-data-field-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sdp.suki.ai/api/v1/info/structured-data-field-types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"sdp_suki_token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sdp.suki.ai/api/v1/info/structured-data-field-types"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("sdp_suki_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sdp.suki.ai/api/v1/info/structured-data-field-types")
.header("sdp_suki_token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sdp.suki.ai/api/v1/info/structured-data-field-types")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["sdp_suki_token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"structured_data_field_types": [
{
"type": "text",
"description": "Free-text field; value is a string"
}
]
}{
"code": 401,
"message": "invalid token"
}{
"code": 403,
"message": "forbidden"
}Use this endpoint to get the field types Suki supports in Embedded Form templates. Each field you send in
sections[].precharted_content[].fields[] needs a type from this list. The same list is also returned as structured_data_field_types on System Information.
For what each field type fills and when to send
options, refer to What a structured field template looks like.Code examples
- Python
- TypeScript
import requests
url = "https://sdp.suki.ai/api/v1/info/structured-data-field-types"
headers = {
"sdp_suki_token": "<sdp_suki_token>",
"sdp_provider_id": "<sdp_provider_id>",
}
response = requests.get(url, headers=headers)
if response.status_code == 200:
field_types = response.json().get("structured_data_field_types", [])
supported = {item.get("type") for item in field_types}
for item in field_types:
print(f" {item.get('type')}: {item.get('description')}")
# Validate a template field before you seed context
print("radio supported:", "radio" in supported)
else:
print(f"Failed to get field types: {response.status_code}")
print(response.json())
const response = await fetch(
"https://sdp.suki.ai/api/v1/info/structured-data-field-types",
{
headers: {
sdp_suki_token: "<sdp_suki_token>",
sdp_provider_id: "<sdp_provider_id>",
},
}
);
if (response.ok) {
const body: { structured_data_field_types?: Array<{ type: string; description?: string }> } =
await response.json();
const fieldTypes = body.structured_data_field_types ?? [];
const supported = new Set(fieldTypes.map((item) => item.type));
fieldTypes.forEach((item) => console.log(` ${item.type}: ${item.description}`));
// Validate a template field before you seed context
console.log("radio supported:", supported.has("radio"));
} else {
const error = await response.json();
console.error(`Failed to get field types: ${response.status}`, error);
}
Authorizations
Suki access token (suki_token) from Login or Register. Expires after one hour.
Headers
Optional for standard partners.
Required for:
- Bearer authentication. Use the same
provider_idreturned by the Login or Register API. - Single Auth Token authentication. Include the same
provider_idon every request assdp_provider_id.
Example:
"provider-123"
Response
Request succeeded.
Response body for the /info/structured-data-field-types endpoint
Supported field types for Embedded Form templates.
Show child attributes
Show child attributes
Last modified on October 16, 2026
Was this page helpful?
cURL
curl --request GET \
--url https://sdp.suki.ai/api/v1/info/structured-data-field-types \
--header 'sdp_suki_token: <sdp_suki_token>' \
--header 'sdp_provider_id: <sdp_provider_id>'import requests
url = "https://sdp.suki.ai/api/v1/info/structured-data-field-types"
headers = {"sdp_suki_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {sdp_suki_token: '<api-key>'}};
fetch('https://sdp.suki.ai/api/v1/info/structured-data-field-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sdp.suki.ai/api/v1/info/structured-data-field-types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"sdp_suki_token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sdp.suki.ai/api/v1/info/structured-data-field-types"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("sdp_suki_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sdp.suki.ai/api/v1/info/structured-data-field-types")
.header("sdp_suki_token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sdp.suki.ai/api/v1/info/structured-data-field-types")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["sdp_suki_token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"structured_data_field_types": [
{
"type": "text",
"description": "Free-text field; value is a string"
}
]
}{
"code": 401,
"message": "invalid token"
}{
"code": 403,
"message": "forbidden"
}